/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { FileUploadControl } from './fileupload-control';
import * as i0 from "@angular/core";
export declare class AswFileUploadDialog implements OnInit {
    private formBuilder;
    dialogRef: MatDialogRef<AswFileUploadDialog>;
    data: any;
    constants: any;
    icons: any;
    aswFileUploadForm: FormGroup;
    control: FileUploadControl;
    constructor(formBuilder: FormBuilder, dialogRef: MatDialogRef<AswFileUploadDialog>, data: any);
    ngOnInit(): void;
    validateFormBuilder(): void;
    editProperty(control: FileUploadControl): void;
    onNoClick(): void;
    onSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswFileUploadDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswFileUploadDialog, "asw-fileupload-dialog", never, {}, {}, never, never, false, never>;
}
